Vue Fake input is a Vue.js based component to create custom inputs for individual characters.

Overview

Vue Fake Input

License

Vue Fake input is a Vue.js based component to create custom inputs for individual characters.

Table of Contents

Demos

Type one char per time

Demo1

or... Paste the entire value

Demo2

Installation

npm install vue-fake-input

or if you prefer yarn

yarn add vue-fake-input

Usage

Global

You may install Vue Fake Input globally:

import Vue from 'vue';
import VueFakeInput from 'vue-fake-input';

Vue.use(VueFakeInput);

This will make VueFakeInput available to all components within your Vue app.

Local

Include VueFakeInput directly into your component using import:

import VueFakeInput from 'vue-fake-input';

export default {
  ...
  components: {
    VueFakeInput
  }
  ...
};

Local - SSR mode

var VueFakeInput
if (process.browser) {
  VueFakeInput = require('vue-fake-input').default
}
export default {
  ...
  components: {
    VueFakeInput
  }
  ...
};

In order to get the full value of the inputs, you have to add a v-model bind on

vue-fake-input and link to any data attribute on your component.

Example

... export default { ... data() { return { fullValue: '', }; } ... ">
<vue-fake-input
  :length="5"
  :fontSize="40"
  inputColor="#31bce6"
  fontColor="#ffc107"
  :allowPaste="false"
  v-model="fullValue"
/>
...
export default {
  ...
  data() {
    return {
      fullValue: '',
    };
  }
  ...

Result:

Demo3

Configuration (props accepted)

Property Type Required Default Description
length Number Yes Length of the input. How many characters it will support (the value is coverted to pixel)
fontSize Number No 22 Font size of the individual characters (the value is coverted to pixel)
inputColor String No '#42b983' Color of the border bottom wen the input is filled
fontColor String No '#42b983' Color of the individual Characters
allowPaste Boolean No true Allow the user to paste values into the input
onlyNumber Boolean No false Only allow number input

License

This project is licensed under the MIT License - see the LICENSE.md file for details.

Comments
  • onlyNumber is not working

    onlyNumber is not working

    In the documentation, its mentioned an attr called onlyNumber that suppose to Only allow number input, but this attribute does not work and not even handled in the component code.

    otherwise, this package is great, thanks.

    opened by masabni 3
  • Wrong path for `main` and `unpkg` from 'package.json'

    Wrong path for `main` and `unpkg` from 'package.json'

    Hi, I'm trying to use this package with yarn install, then import ... from keyword. However when I run serve with vue-cli it always resolve to not be able to find. I think that it's because of the main and unpkg pointing to non-existing file in the folder.

    If I had time I will make a PR soon for you to review. Meanwhile, I think it's a quick fix that can easily resolve by yourself ( the repo owner ).

    If you do fix this, please reply. Thanks !

    opened by doraeminemon 2
  • Bump core-js from 2.6.12 to 3.25.2

    Bump core-js from 2.6.12 to 3.25.2

    Bumps core-js from 2.6.12 to 3.25.2.

    Changelog

    Sourced from core-js's changelog.

    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements
    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping
    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110
    • Fixed detection of @@species support in Promise in some old engines
    • { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } marked as shipped in FF104
    • Added iOS Safari 15.6 compat data mapping
    • Fixed Opera 15 compat data mapping
    3.24.0 - 2022.07.25

    ... (truncated)

    Commits
    • 77771c7 3.25.2
    • f763148 some stylistic changes
    • 423b9b5 update a link to example
    • 061ac36 fix some links
    • 774a6be remove some extra badges
    • cea7d25 update Set methods documentation for consistency with updated proposal
    • 841261d update Set methods documentation for consistency with updated proposal
    • 23b9d30 centring badges in missed cases
    • 404d65e update dependencies
    • d1ddbfc improve some docs
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump eslint-plugin-vue from 7.11.0 to 9.5.0

    Bump eslint-plugin-vue from 7.11.0 to 9.5.0

    Bumps eslint-plugin-vue from 7.11.0 to 9.5.0.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v9.5.0

    ✨ Enhancements

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.4.0...v9.5.0

    Thanks @​dev1437, @​Amorites, @​acupofspirt for your contributions!

    v9.4.0

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.3.0...v9.4.0

    v9.3.0

    ⚙️ Updates

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.2.0...v9.3.0

    v9.2.0

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.1.1...v9.2.0

    v9.1.1

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.1.0...v9.1.1

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump node-sass from 4.14.1 to 7.0.2

    Bump node-sass from 4.14.1 to 7.0.2

    Bumps node-sass from 4.14.1 to 7.0.2.

    Release notes

    Sourced from node-sass's releases.

    v7.0.2

    Dependencies

    • Bump sass-graph from 4.0.0 to ^4.0.1

    Supported Environments

    OS Architecture Node
    Windows x86 & x64 12, 14, 16, 17
    OSX x64 12, 14, 16, 17
    Linux* x64 12, 14, 16, 17
    Alpine Linux x64 12, 14, 16, 17
    FreeBSD i386 amd64 12, 14

    *Linux support refers to major distributions like Ubuntu, and Debian

    v7.0.1

    Dependencies

    • Bump node-gyp from 7.1.2 to 8.4.1
    • Bump sass-graph from 2.2.5 to 4.0.0

    Supported Environments

    OS Architecture Node
    Windows x86 & x64 12, 14, 16, 17
    OSX x64 12, 14, 16, 17
    Linux* x64 12, 14, 16, 17
    Alpine Linux x64 12, 14, 16, 17
    FreeBSD i386 amd64 12, 14

    *Linux support refers to major distributions like Ubuntu, and Debian

    v7.0.0

    Breaking changes

    Features

    Dependencies

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump core-js from 2.6.12 to 3.25.1

    Bump core-js from 2.6.12 to 3.25.1

    Bumps core-js from 2.6.12 to 3.25.1.

    Changelog

    Sourced from core-js's changelog.

    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements
    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping
    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110
    • Fixed detection of @@species support in Promise in some old engines
    • { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } marked as shipped in FF104
    • Added iOS Safari 15.6 compat data mapping
    • Fixed Opera 15 compat data mapping
    3.24.0 - 2022.07.25

    ... (truncated)

    Commits
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump vue from 2.6.12 to 3.2.39

    Bump vue from 2.6.12 to 3.2.39

    Bumps vue from 2.6.12 to 3.2.39.

    Release notes

    Sourced from vue's releases.

    v3.2.39

    Please refer to CHANGELOG.md for details.

    v3.2.38

    Please refer to CHANGELOG.md for details.

    v3.2.37

    Please refer to CHANGELOG.md for details.

    v3.2.36

    Please refer to CHANGELOG.md for details.

    v3.2.35

    Please refer to CHANGELOG.md for details.

    v3.2.34

    Please refer to CHANGELOG.md for details.

    v3.2.34-beta.1

    Please refer to CHANGELOG.md for details.

    v3.2.33

    Please refer to CHANGELOG.md for details.

    v3.2.32

    Please refer to CHANGELOG.md for details.

    v3.2.31

    Please refer to CHANGELOG.md for details.

    v3.2.30

    Please refer to CHANGELOG.md for details.

    v3.2.29

    Please refer to CHANGELOG.md for details.

    v3.2.28

    Please refer to CHANGELOG.md for details.

    v3.2.27

    Please refer to CHANGELOG.md for details.

    v3.2.26

    Please refer to CHANGELOG.md for details.

    v3.2.25

    Please refer to CHANGELOG.md for details.

    v3.2.24

    Please refer to CHANGELOG.md for details.

    ... (truncated)

    Changelog

    Sourced from vue's changelog.

    3.2.39 (2022-09-08)

    Bug Fixes

    • runtime-core: avoid double firing when mounting inside a watcher callback (6aaf8ef), closes #6614
    • runtime-core: support extends template for runtime compiler (#6250) (9875ecd), closes #6249
    • ssr: reset current instance (#6184) (6493da5), closes #6110
    • types: support TypeScript 4.8 (5381abc), closes #6554

    3.2.38 (2022-08-30)

    Bug Fixes

    • compiler-sfc: fix template usage check edge case for v-on statements (769e555)
    • compiler-sfc: only add decorators-legacy parser plugin when new decorators plugin is not used (3ff8369)
    • compiler-sfc: rewriteDefault for class with decorators (#6320) (81a7819), closes #6318
    • custom-element: fix event listeners with capital letter event names on custom elements (0739f89)
    • hmr: fix HMR for nested non-SFC components (#4077) (96eb745)
    • reactivity: fix shallow/readonly edge cases (a95554d)
    • runtime-core: only set cache for object keys (#6266) (c3465c1)
    • slots: ensure different branches of dynamic slots have different keys (00036bb), closes #6202
    • ssr: forward helpers provided by CSS v-bind (#6489) (2024d11), closes #6201
    • types: add types field for sub package exports (c1ee6ca)
    • types: fix on* props incorrect type for TS 4.7 (#6216) (8dcb6c7), closes #6052
    • watch: flush:pre watchers should not fire if state change causes (78c199d), closes #2291

    Features

    • custom-elements: automatically respect custom elements when compiling in browser (9f8f07e)

    Performance Improvements

    3.2.37 (2022-06-06)

    Bug Fixes

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump vue from 2.6.12 to 3.2.38

    Bump vue from 2.6.12 to 3.2.38

    Bumps vue from 2.6.12 to 3.2.38.

    Release notes

    Sourced from vue's releases.

    v3.2.38

    Please refer to CHANGELOG.md for details.

    v3.2.37

    Please refer to CHANGELOG.md for details.

    v3.2.36

    Please refer to CHANGELOG.md for details.

    v3.2.35

    Please refer to CHANGELOG.md for details.

    v3.2.34

    Please refer to CHANGELOG.md for details.

    v3.2.34-beta.1

    Please refer to CHANGELOG.md for details.

    v3.2.33

    Please refer to CHANGELOG.md for details.

    v3.2.32

    Please refer to CHANGELOG.md for details.

    v3.2.31

    Please refer to CHANGELOG.md for details.

    v3.2.30

    Please refer to CHANGELOG.md for details.

    v3.2.29

    Please refer to CHANGELOG.md for details.

    v3.2.28

    Please refer to CHANGELOG.md for details.

    v3.2.27

    Please refer to CHANGELOG.md for details.

    v3.2.26

    Please refer to CHANGELOG.md for details.

    v3.2.25

    Please refer to CHANGELOG.md for details.

    v3.2.24

    Please refer to CHANGELOG.md for details.

    v3.2.23

    Please refer to CHANGELOG.md for details.

    ... (truncated)

    Changelog

    Sourced from vue's changelog.

    3.2.38 (2022-08-30)

    Bug Fixes

    • compiler-sfc: fix template usage check edge case for v-on statements (769e555)
    • compiler-sfc: only add decorators-legacy parser plugin when new decorators plugin is not used (3ff8369)
    • compiler-sfc: rewriteDefault for class with decorators (#6320) (81a7819), closes #6318
    • custom-element: fix event listeners with capital letter event names on custom elements (0739f89)
    • hmr: fix HMR for nested non-SFC components (#4077) (96eb745)
    • reactivity: fix shallow/readonly edge cases (a95554d)
    • runtime-core: only set cache for object keys (#6266) (c3465c1)
    • slots: ensure different branches of dynamic slots have different keys (00036bb), closes #6202
    • ssr: forward helpers provided by CSS v-bind (#6489) (2024d11), closes #6201
    • types: add types field for sub package exports (c1ee6ca)
    • types: fix on* props incorrect type for TS 4.7 (#6216) (8dcb6c7), closes #6052
    • watch: flush:pre watchers should not fire if state change causes (78c199d), closes #2291

    Features

    • custom-elements: automatically respect custom elements when compiling in browser (9f8f07e)

    Performance Improvements

    3.2.37 (2022-06-06)

    Bug Fixes

    • compiler-sfc: improve css v-bind parsing (e60244b), closes #6022
    • runtime-core: hydrate Static vnode (#6015) (11e17a1), closes #6008
    • sfc: avoid auto name inference leading to unwanted recursion (9734b31), closes #5965 #6027 #6029
    • ssr: ensure app can be unmounted when created with createSSRApp() (#5992) (d4d3319), closes #5990
    • ssr: hydration for transition wrapper components with empty slot content (#5995) (eb22a62), closes #5991

    3.2.36 (2022-05-23)

    Bug Fixes

    • compat: fix app-level asset registration affecting other local apps (#5979) (7fb5732)
    • compat: fix globalProperties pollution in v3 mode (2f07e34), closes #5699

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump core-js from 2.6.12 to 3.25.0

    Bump core-js from 2.6.12 to 3.25.0

    Bumps core-js from 2.6.12 to 3.25.0.

    Changelog

    Sourced from core-js's changelog.

    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping
    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110
    • Fixed detection of @@species support in Promise in some old engines
    • { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } marked as shipped in FF104
    • Added iOS Safari 15.6 compat data mapping
    • Fixed Opera 15 compat data mapping
    3.24.0 - 2022.07.25
    3.23.5 - 2022.07.18
    • Fixed a typo in the structuredClone feature detection, #1106

    ... (truncated)

    Commits
    • b61f3c3 3.25.0
    • 7750751 improve notes
    • ea7645f add Object.prototype.__proto__ polyfill
    • 9e70176 fix omitting the result of proxing .return in `%IteratorHelperPrototype%.re...
    • 4910371 update dependencies
    • 4c9c6d6 add missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder ta...
    • 9f4af1f fix a typo
    • 0400dea some stylistic changes and minor fixes
    • c76303d update dependencies
    • 95fc85d fix ArrayBuffer.length in V8 ~ Chrome 27-
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump eslint-plugin-vue from 7.11.0 to 9.4.0

    Bump eslint-plugin-vue from 7.11.0 to 9.4.0

    Bumps eslint-plugin-vue from 7.11.0 to 9.4.0.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v9.4.0

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.3.0...v9.4.0

    v9.3.0

    ⚙️ Updates

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.2.0...v9.3.0

    v9.2.0

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.1.1...v9.2.0

    v9.1.1

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.1.0...v9.1.1

    v9.1.0

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.0.1...v9.1.0

    v9.0.1

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.0.0...v9.0.1

    v9.0.0

    ... (truncated)

    Commits
    • 8c3a892 9.4.0
    • 2660fb9 fix: report delete operation for mutation props (#1942)
    • f358817 9.3.0
    • d19ea88 Fix false negatives for template literal in vue/custom-event-name-casing, `...
    • ea158e1 fix(component-name-in-template-casing): update rule to support <script setup>...
    • 32da3e4 9.2.0
    • 2614dd3 feat: support script setup and css var inj for vue 2.7 (#1917)
    • 71622f2 9.1.1
    • cc35c58 Fix regression on no-unused-components rule (#1909)
    • a8ab4fd 9.1.0
    • Additional commits viewable in compare view

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump core-js from 2.6.12 to 3.24.1

    Bump core-js from 2.6.12 to 3.24.1

    Bumps core-js from 2.6.12 to 3.24.1.

    Changelog

    Sourced from core-js's changelog.

    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110
    • Fixed detection of @@species support in Promise in some old engines
    • { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } marked as shipped in FF104
    • Added iOS Safari 15.6 compat data mapping
    • Fixed Opera 15 compat data mapping
    3.24.0 - 2022.07.25
    3.23.5 - 2022.07.18
    • Fixed a typo in the structuredClone feature detection, #1106
    • Added Opera Android 70 compat data mapping
    3.23.4 - 2022.07.10
    • Added a workaround of the Bun ~ 0.1.1 bug that define some globals with incorrect property descriptors and that causes a crash of core-js
    • Added a fix of the FF103+ structuredClone bugs (1774866 (fixed in FF104) and 1777321 (still not fixed)) that now can clone errors, but .stack of the clone is an empty string
    • Fixed { Map, WeakMap }.prototype.emplace logic, #1102
    • Fixed order of errors throwing on iterator helpers
    3.23.3 - 2022.06.26
    3.23.2 - 2022.06.21
    • Avoided creation of extra properties for the handling of %TypedArray% constructors in new methods, #1092 (comment)
    • Added Deno 1.23 compat data mapping
    3.23.1 - 2022.06.14
    • Fixed possible error on multiple core-js copies, #1091
    • Added v flag to RegExp.prototype.flags implementation in case if current V8 bugs will not be fixed before this flag implementation

    ... (truncated)

    Commits
    • e4b27bd 3.24.1
    • dc43aac little relax IS_BROWSER detection
    • 602e567 fix Opera 15 compat data mapping
    • a52a60a ignore NodeJS in IS_BROWSER detection to avoid a false positive with `jsdom...
    • 43a054a update dependencies
    • 619c9a5 update dependencies
    • d96cf26 mark { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } as shipp...
    • 85b8998 add iOS Safari 15.6 compat data mapping
    • ae23b5a fix detection of @@species support in Promise in some old engines
    • cc756d0 3.24.0
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 1
  • Bump vue from 2.6.12 to 3.2.40

    Bump vue from 2.6.12 to 3.2.40

    Bumps vue from 2.6.12 to 3.2.40.

    Release notes

    Sourced from vue's releases.

    v3.2.40

    Please refer to CHANGELOG.md for details.

    v3.2.39

    Please refer to CHANGELOG.md for details.

    v3.2.38

    Please refer to CHANGELOG.md for details.

    v3.2.37

    Please refer to CHANGELOG.md for details.

    v3.2.36

    Please refer to CHANGELOG.md for details.

    v3.2.35

    Please refer to CHANGELOG.md for details.

    v3.2.34

    Please refer to CHANGELOG.md for details.

    v3.2.34-beta.1

    Please refer to CHANGELOG.md for details.

    v3.2.33

    Please refer to CHANGELOG.md for details.

    v3.2.32

    Please refer to CHANGELOG.md for details.

    v3.2.31

    Please refer to CHANGELOG.md for details.

    v3.2.30

    Please refer to CHANGELOG.md for details.

    v3.2.29

    Please refer to CHANGELOG.md for details.

    v3.2.28

    Please refer to CHANGELOG.md for details.

    v3.2.27

    Please refer to CHANGELOG.md for details.

    v3.2.26

    Please refer to CHANGELOG.md for details.

    v3.2.25

    Please refer to CHANGELOG.md for details.

    ... (truncated)

    Changelog

    Sourced from vue's changelog.

    3.2.40 (2022-09-28)

    Bug Fixes

    • compat: list cjs dependencies for compat build (96cd924), closes #6602
    • compiler-dom: remove v-bind boolean attribute with literal false value when stringifying (#6635) (6c6fe2c), closes #6617
    • compiler-sfc: fix expression check for v-on with object literal value (#6652) (6958ec1), closes #6650 #6674
    • compilre-core: dynamic v-on and static v-on should be merged (#6747) (f9d43b9), closes #6742
    • runtime-core: avoid hoisted vnodes retaining detached DOM nodes (fc5bdb3), closes #6591
    • runtime-core: Lifecycle hooks should support callbacks shared by reference (#6687) (c71a08e), closes #6686
    • runtime-core: remove prod-only hoisted clone behavior for manual DOM manipulation compat (aa70188), closes #6727 #6739
    • runtime-core: unset removed props first in full diff mode (c0d8db8), closes #6571
    • runtime-dom: fix unnecessary warning when setting coerced dom property value (b1817fe), closes #6616
    • ssr: avoid ast.helpers duplication (#6664) (57ffc3e)
    • ssr: fix dynamic slot regression in ssr (8963c55), closes #6651
    • ssr: fix hydration mismatch when entire multi-root template is stringified (9698dd3), closes #6637
    • ssr: fix pre tag windows newline hydration mismatch (0382019), closes #6410
    • ssr: respect case when rendering dynamic attrs on svg (121eb32), closes #6755

    3.2.39 (2022-09-08)

    Bug Fixes

    • runtime-core: avoid double firing when mounting inside a watcher callback (6aaf8ef), closes #6614
    • runtime-core: support extends template for runtime compiler (#6250) (9875ecd), closes #6249
    • ssr: reset current instance (#6184) (6493da5), closes #6110
    • types: support TypeScript 4.8 (5381abc), closes #6554

    3.2.38 (2022-08-30)

    Bug Fixes

    • compiler-sfc: fix template usage check edge case for v-on statements (769e555)
    • compiler-sfc: only add decorators-legacy parser plugin when new decorators plugin is not used (3ff8369)
    • compiler-sfc: rewriteDefault for class with decorators (#6320) (81a7819), closes #6318
    • custom-element: fix event listeners with capital letter event names on custom elements (0739f89)
    • hmr: fix HMR for nested non-SFC components (#4077) (96eb745)
    • reactivity: fix shallow/readonly edge cases (a95554d)
    • runtime-core: only set cache for object keys (#6266) (c3465c1)
    • slots: ensure different branches of dynamic slots have different keys (00036bb), closes #6202
    • ssr: forward helpers provided by CSS v-bind (#6489) (2024d11), closes #6201
    • types: add types field for sub package exports (c1ee6ca)
    • types: fix on* props incorrect type for TS 4.7 (#6216) (8dcb6c7), closes #6052

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • Bump core-js from 2.6.12 to 3.25.3

    Bump core-js from 2.6.12 to 3.25.3

    Bumps core-js from 2.6.12 to 3.25.3.

    Changelog

    Sourced from core-js's changelog.

    3.25.3 - 2022.09.26
    • Forced polyfilling of Array.prototype.groupToMap in the pure version for returning wrapped Map instances
    • Fixed existence of Array.prototype.{ findLast, findLastIndex } in /stage/4 entry
    • Added Opera Android 71 compat data mapping
    • Some stylistic changes
    3.25.2 - 2022.09.19
    • Considering document.all as a callable in some missed cases
    • Added Safari 16.0 compat data
    • Added iOS Safari 16.0 compat data mapping
    • Fixed some ancient iOS Safari versions compat data mapping
    3.25.1 - 2022.09.08
    • Added some fixes and workarounds of FF30- typed arrays bug that does not properly convert objects to numbers
    • Added sideEffects field to core-js-pure package.json for better tree shaking, #1117
    • Dropped semver dependency from core-js-compat
      • semver package (ironically) added a breaking change and dropped NodeJS 8 support in the minor 7.1 version, after that semver in core-js-compat was pinned to 7.0 since for avoiding breaking changes it should support NodeJS 8. However, since core-js-compat is usually used with other packages that use semver dependency, it causes multiple duplication of semver in dependencies. So I decided to remove semver dependency and replace it with a couple of simple helpers.
    • Added Bun 0.1.6-0.1.11 compat data
    • Added Deno 1.25 compat data mapping
    • Updated Electron 21 compat data mapping
    • Some stylistic changes, minor fixes, and improvements
    3.25.0 - 2022.08.25
    • Added Object.prototype.__proto__ polyfill
      • It's optional, legacy, and in some cases (mainly because of developers' mistakes) can cause problems, but some libraries depend on it, and most code can't work without the proper libraries' ecosystem
      • Only for modern engines where this feature is missed (like Deno), it's not installed in IE10- since here we have no proper way setting of the prototype
      • Without fixes of early implementations where it's not an accessor since those fixes are impossible
      • Only for the global version
    • Considering document.all as an object in some missed cases, see ECMAScript Annex B 3.6
    • Avoiding unnecessary promise creation and validation result in %WrapForValid(Async)IteratorPrototype%.return, proposal-iterator-helpers/215
    • Fixed omitting the result of proxing .return in %IteratorHelperPrototype%.return, #1116
    • Fixed the order creation of properties of iteration result object of some iterators (value should be created before done)
    • Fixed some cases of Safari < 13 bug - silent on non-writable array .length setting
    • Fixed ArrayBuffer.length in V8 ~ Chrome 27-
    • Relaxed condition of re-usage native WeakMap for internal states with multiple core-js copies
    • Availability cloning of FileList in the structuredClone polyfill extended to some more old engines versions
    • Some stylistic changes and minor fixes
    • Throwing a TypeError in core-js-compat / core-js-builder in case of passing invalid module names / filters for avoiding unexpected result, related to #1115
    • Added missed NodeJS 13.2 to esmodules core-js-compat / core-js-builder target
    • Added Electron 21 compat data mapping
    • Added Oculus Browser 23.0 compat data mapping
    3.24.1 - 2022.07.30
    • NodeJS is ignored in IS_BROWSER detection to avoid a false positive with jsdom, #1110
    • Fixed detection of @@species support in Promise in some old engines
    • { Array, %TypedArray% }.prototype.{ findLast, findLastIndex } marked as shipped in FF104
    • Added iOS Safari 15.6 compat data mapping
    • Fixed Opera 15 compat data mapping
    3.24.0 - 2022.07.25

    ... (truncated)

    Commits
    • 12509bd 3.25.3
    • 3051ab6 Merge pull request #1125 from zloirock/eslint-flat
    • 5a6465c remove no-loss-of-precision since it works not as expected in some cases
    • b3e4874 some stylistic changes
    • 3039471 disable unicorn/prefer-code-point as useless for core-js case
    • ad96d14 update eslint, enable logical-assignment-operators rule
    • 5853e7e fix some patterns, use some extglob patterns
    • 545846e use names of original plugins for forks
    • 71acd8b try to use flat ESLint config
    • 66235ec drop node 17 from ci
    • Additional commits viewable in compare view
    Maintainer changes

    This version was pushed to npm by zloirock, a new releaser for core-js since your current version.


    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • Bump eslint-plugin-vue from 7.11.0 to 9.5.1

    Bump eslint-plugin-vue from 7.11.0 to 9.5.1

    Bumps eslint-plugin-vue from 7.11.0 to 9.5.1.

    Release notes

    Sourced from eslint-plugin-vue's releases.

    v9.5.1

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.5.0...v9.5.1

    v9.5.0

    ✨ Enhancements

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.4.0...v9.5.0

    Thanks @​dev1437, @​Amorites, @​acupofspirt for your contributions!

    v9.4.0

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.3.0...v9.4.0

    v9.3.0

    ⚙️ Updates

    🐛 Bug Fixes

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.2.0...v9.3.0

    v9.2.0

    ⚙️ Updates

    Full Changelog: https://github.com/vuejs/eslint-plugin-vue/compare/v9.1.1...v9.2.0

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • Bump node-sass from 4.14.1 to 7.0.3

    Bump node-sass from 4.14.1 to 7.0.3

    Bumps node-sass from 4.14.1 to 7.0.3.

    Release notes

    Sourced from node-sass's releases.

    v7.0.3

    Dependencies

    • Bump sass-graph from 4.0.0 to ^4.0.1

    Supported Environments

    OS Architecture Node
    Windows x86 & x64 12, 14, 16, 17
    OSX x64 12, 14, 16, 17
    Linux* x64 12, 14, 16, 17
    Alpine Linux x64 12, 14, 16, 17
    FreeBSD i386 amd64 12, 14

    *Linux support refers to major distributions like Ubuntu, and Debian

    v7.0.2

    This release has been unpublished

    v7.0.1

    Dependencies

    • Bump node-gyp from 7.1.2 to 8.4.1
    • Bump sass-graph from 2.2.5 to 4.0.0

    Supported Environments

    OS Architecture Node
    Windows x86 & x64 12, 14, 16, 17
    OSX x64 12, 14, 16, 17
    Linux* x64 12, 14, 16, 17
    Alpine Linux x64 12, 14, 16, 17
    FreeBSD i386 amd64 12, 14

    *Linux support refers to major distributions like Ubuntu, and Debian

    v7.0.0

    Breaking changes

    Features

    Dependencies

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • Bump @vue/cli-plugin-babel from 5.0.4 to 5.0.8

    Bump @vue/cli-plugin-babel from 5.0.4 to 5.0.8

    Bumps @vue/cli-plugin-babel from 5.0.4 to 5.0.8.

    Release notes

    Sourced from @​vue/cli-plugin-babel's releases.

    v5.0.8

    :bug: Bug Fix

    v5.0.7

    • @vue/cli-service
    • @vue/cli-ui
      • #7210 chore: upgrade to apollo-server-express 3.x

    Committers: 2

    v5.0.6

    Fix compatibility with the upcoming Vue 2.7 (currently in alpha) and Vue Loader 15.10 (currently in beta).

    In Vue 2.7, vue-template-compiler is no longer a required peer dependency. Rather, there's a new export under the main package as vue/compiler-sfc.

    v5.0.5

    :bug: Bug Fix

    • @vue/cli
      • #7167 fix(upgrade): prevent changing the structure of package.json file during upgrade (@​blzsaa)
    • @vue/cli-service
    • @vue/cli-plugin-e2e-cypress
      • [697bb44] fix: should correctly resolve cypress bin path for Cypress 10 (Note that the project is still created with Cypress 9 by default, but you can upgrade to Cypress 10 on your own now)

    Committers: 3

    Changelog

    Sourced from @​vue/cli-plugin-babel's changelog.

    5.0.7 (2022-07-05)

    • @vue/cli-service
    • @vue/cli-ui
      • #7210 chore: upgrade to apollo-server-express 3.x

    Committers: 2

    5.0.6 (2022-06-16)

    Fix compatibility with the upcoming Vue 2.7 (currently in alpha) and Vue Loader 15.10 (currently in beta).

    In Vue 2.7, vue-template-compiler is no longer a required peer dependency. Rather, there's a new export under the main package as vue/compiler-sfc.

    5.0.5 (2022-06-16)

    :bug: Bug Fix

    • @vue/cli
      • #7167 feat(upgrade): prevent changing the structure of package.json file during upgrade (@​blzsaa)
    • @vue/cli-service

    Committers: 3

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
  • Bump @vue/cli-plugin-eslint from 4.5.13 to 4.5.19

    Bump @vue/cli-plugin-eslint from 4.5.13 to 4.5.19

    Bumps @vue/cli-plugin-eslint from 4.5.13 to 4.5.19.

    Release notes

    Sourced from @​vue/cli-plugin-eslint's releases.

    v4.5.19

    IMPORTANT NOTE: IE 11 has reached End-of-Life. The default browserslist query no longer includes IE 11 as a target. If your project still has to support IE 11, you MUST manually add IE 11 to the last line of the .browserslistrc file in the project (or browserslist field in package.json)

    :bug: Bug Fix

    • @vue/babel-preset-app
      • [c7fa1cf] fix: always transpile syntaxes introduced in ES2020 or later, so that optional chaining and nullish coalescing syntaxes won't cause errors in webpack 4 and ESLint 6.
    • @vue/cli-plugin-typescript

    v4.5.18

    Fix compatibility with the upcoming Vue 2.7 (currently in alpha) and Vue Loader 15.10 (currently in beta).

    In Vue 2.7, vue-template-compiler is no longer a required peer dependency. Rather, there's a new export under the main package as vue/compiler-sfc.

    v4.5.17

    :bug: Bug Fix

    • @vue/cli-shared-utils, @vue/cli-ui
      • d7a9881 fix: replace node-ipc with @achrinza/node-ipc to further secure the dependency chain

    Committers: 1

    v4.5.16

    4.5.16 (2022-03-15)

    :bug: Bug Fix

    • @vue/cli-service
      • Fix demo-lib.html and demo-wc.html for Vue 2
    • @vue/cli-shared-utils, @vue/cli-ui
      • Lock node-ipc to v9.2.1

    v4.5.15

    Bug Fixes

    • fix: set .mjs file type to javascript/auto [15b1e1b]

    This change allows an .mjs file to import named exports from .cjs and plain .js files. Fixes compatibility with pinia.

    v4.5.14

    Security Fixes

    This version fixed a CORS vulnerability and an XSS vulnerability in Vue CLI UI. We recommend all users of vue ui to upgrade to this version as soon as possible.

    Credits:

    Ngo Wei Lin (@​Creastery) of STAR Labs (@​starlabs_sg)

    Changelog

    Sourced from @​vue/cli-plugin-eslint's changelog.

    5.0.5 (2022-06-16)

    :bug: Bug Fix

    • @vue/cli
      • #7167 feat(upgrade): prevent changing the structure of package.json file during upgrade (@​blzsaa)
    • @vue/cli-service

    Committers: 3

    5.0.4 (2022-03-22)

    :bug: Bug Fix

    • @vue/cli-service
    • @vue/cli-shared-utils, @vue/cli-ui
      • 75826d6 fix: replace node-ipc with @achrinza/node-ipc to further secure the dependency chain

    Committers: 1

    5.0.3 (2022-03-15)

    :bug: Bug Fix

    • @vue/cli-shared-utils, @vue/cli-ui
      • Lock node-ipc to v9.2.1

    5.0.2 (2022-03-15)

    :bug: Bug Fix

    Committers: 2

    5.0.1 (2022-02-17)

    ... (truncated)

    Commits

    Dependabot compatibility score

    Dependabot will resolve any conflicts with this PR as long as you don't alter it yourself. You can also trigger a rebase manually by commenting @dependabot rebase.


    Dependabot commands and options

    You can trigger Dependabot actions by commenting on this PR:

    • @dependabot rebase will rebase this PR
    • @dependabot recreate will recreate this PR, overwriting any edits that have been made to it
    • @dependabot merge will merge this PR after your CI passes on it
    • @dependabot squash and merge will squash and merge this PR after your CI passes on it
    • @dependabot cancel merge will cancel a previously requested merge and block automerging
    • @dependabot reopen will reopen this PR if it is closed
    • @dependabot close will close this PR and stop Dependabot recreating it. You can achieve the same result by closing it manually
    • @dependabot ignore this major version will close this PR and stop Dependabot creating any more for this major version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this minor version will close this PR and stop Dependabot creating any more for this minor version (unless you reopen the PR or upgrade to it yourself)
    • @dependabot ignore this dependency will close this PR and stop Dependabot creating any more for this dependency (unless you reopen the PR or upgrade to it yourself)
    dependencies 
    opened by dependabot[bot] 0
Owner
Cláudio Luiz Castro
Software Developer at @estantevirtual | Focused on Web and Javascript development 🚀
Cláudio Luiz Castro
Vue.js directive to add inputmask library to your inputs (vanilla javascript).

vue-inputmask Vue.js directive to add a mask to your inputs (vanilla javascript). It's a binding for the inputmask library by Robin Herbots https://gi

Simon Cleriot 117 Jul 17, 2022
Input mask library for vue.js based on credit-card-input-mask

vue-restricted-input Input mask for vue.js based on credit-card-input-mask Why ? credit-card-input-mask perfect work with carriage position, fast. Ins

Ivan Demidov 11 Nov 21, 2021
A custom input number component for Vue.js 2

vue-input-number A custom input number component for Vue.js 2. Install Yarn yarn add vue-input-number --dev NPM npm install vue-input-number --save-de

Jose Quintana 14 Jul 24, 2022
A tags input component for Vue 3 with autocompletion, custom validation, templating and much more

vue-tags-input A tags input component for Vue 3 with autocompletion, custom validation, templating and much more Forked from @johmun/vue-tags-input, w

Sinclair Chen 16 Aug 31, 2022
Vue Currency Input component allows an easy input of currency formatted numbers

Vue Currency Input The Vue Currency Input component allows an easy input of currency formatted numbers. It provides both standalone component (<curren

WeblineIndia 1 May 25, 2022
Nice-Numeric-Input is a modern, rich featured and highly customisable numeric input built on Vue.

Nice-Numeric-Input is a modern, rich featured and highly customisable numeric input built on Vue. Capable of formatting as the user types, including currency formatting. With no extra dependencies other than Vue itself.

Jack Steel 4 Dec 9, 2021
Input field component to display a formatted currency value based on Vue.js

vue-numeric Input field component to display a formatted currency value based on Vue. Live Demo Works with Vue 2.* Installation Install via CDN <scrip

Kevin Ongko 420 Sep 24, 2022
A pattern-placeholder for Vue that changes based on input text.

This plugin provides a placeholder component for Vue.js. It uses canvas to render patterns from input string like URL.

Victor 6 Apr 19, 2022
Click to show input text box Vue Component ... inspired by Trello. This is my first time publishing Vue Component via npm package and let me know if you encounter any issues, bugs, or improvement. Thanks!

label-edit Click to show input text box Vue Component ... inspired by Trello. This is my first time publishing Vue Component via npm package and let m

Myo Kyaw Htun 22 Apr 24, 2022
A fully customizable, OTP (one-time-password) input component built with Vue 3.x and Vue Composition API.

vue-otp-input A fully customizable, OTP (one-time-password) input component built with Vue 3.x and Vue Composition API. Installation To install the la

Ejiro Asiuwhu 39 Sep 23, 2022
Masked input component for Vue.js

Vue Masked Input Dead simple masked input component for Vue.js 2.X. Based on inputmask-core. Live Demo Install npm npm install vue-masked-input --save

null 452 Sep 3, 2022
A Vue.js component that wraps the awesome autoNumeric input formatter library

vue-autoNumeric A Vue.js component that wraps the awesome AutoNumeric input formatter library Get in touch on vue-autoNumeric wraps the awesome AutoNu

AutoNumeric 86 Sep 27, 2022
A versetile tag input component built with Vue 3 Composition API

A versetile tag input component built with Vue 3 Composition API

Mayank 11 Jun 9, 2022
Split Input Component for Vue 3.x

Split Input Component for Vue 3.x Used for otps, transaction pin, passwords etc Install NPM npm i vue-split-input --save Yarn yarn add vue-split-inpu

Anjorin Damilare 6 Aug 8, 2022
A Vue.js (>= 3.2) web component that wraps around an html input of type 'range' with label and styling options.

range-comp range-comp is Vue.js (>= 3.2) web component that wraps around an html input of type 'range' with label and styling options. range-comp can

null 0 May 9, 2022
Yet another Vue component for input masking

vue-input-mask Yet another Vue component for input masking. Based on react-input-mask. Demo Install yarn add vue-input-mask or npm i -S vue-input-mask

null 18 Jun 15, 2022
base on vue2.0+ verification code input component. (基于Vue2.0+的移动端验证码输入组件)

vue-input-code 基于Vue2.0+的移动端验证码输入组件. 功能预览 输入时回调 结果回调 自定义错误处理 自定义验证码个数 样式可控 这里是可爱的Demo 支持 支持 Vue.js 2.0+. 安装和使用 npm install vue-input-code --save 作为全局组

Obeta 66 Jan 10, 2022
A tags input component for VueJS

A tags input component for VueJS

Vojtěch Laňka 0 Apr 20, 2021
Set of vue directives to add text restriction to your vue input

Vue-Input-Restriction-Directives Set of useful vue directives to add text restriction to your input No keyboard key validation, just regular expressio

Benjamin Arambide 5 Nov 19, 2021